package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 渠道结佣状态
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum CommStatusEnum implements IEnum<Integer> {
  NO(0, "未结佣"),
  YES(1, "已结佣"),
  DOING(2, "结佣中");

  private final int value;
  private final String desc;

  CommStatusEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
